%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Summary: 	PEAR: Date and Time Zone Classes
Name: 		php-pear-Date
Version: 	1.4.6
Release: 	1%{?dist}
License: 	BSD
Group: 		Development/Libraries
Source0: 	http://pear.php.net/get/Date-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: 		http://pear.php.net/package/Date
BuildRequires: 	php-pear(PEAR)
Requires: 	php-pear(PEAR)
Provides: 	php-pear(Date) = %{version}
BuildArchitectures: noarch

%description
Generic classes for representation and manipulation of
dates, times and time zones without the need of timestamps,
which is a huge limitation for php programs.  Includes time zone data,
time zone conversions and many date/time conversions.
It does not rely on 32-bit system date stamps, so
you can display calendars and compare dates that date
pre 1970 and post 2038. This package also provides a class
to convert date strings between Gregorian and Human calendar formats.

%prep
%setup -c -T
# XXX Source files location is missing here in pear cmd
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm -f pearrc
rm -f %{buildroot}/%{peardir}/.filemap
rm -f %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm -rf %{buildroot}%{peardir}/.depdb*

# Sort out documentation
mv %{buildroot}/docs/Date/* .
rm -rf %{buildroot}/docs

# Install XML package description
mkdir -p %{buildroot}%{_libdir}/php/pear
tar -xzf %{SOURCE0} package2.xml
cp -p package2.xml %{buildroot}%{_libdir}/php/pear/Date.xml

lst=$(find %{buildroot}%{peardir} -exec grep -q %{buildroot} {} \; -print)
[ ! -z "$lst" ] && echo "Reference to BUILDROOT in $lst" && exit 1;

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{_libdir}/php/pear/Date.xml >/dev/null

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only Date >/dev/null
fi

%files
%defattr(-,root,root)
%doc  TODO LICENSE
%{peardir}/Date
%{peardir}/Date.php
%{peardir}/tests/Date
%{_libdir}/php/pear/Date.xml

%changelog
* Thu Apr 06 2006 Remi Collet <rpms@FamilleCollet.com> 1.9.3-1.fc{3,4,5}.remi
- initial RPM
